<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        * {
            padding: 0;
            margin: 0;
            box-sizing: border-box;
        }

        .container {
            width: 100%;

        }

        .container .imageBox {
            display: flex;
            flex-direction: row;
        }

        @media only screen and (max-width: 700px) {
            .container .imageBox {
                display: flex;
                flex-direction: column;
            }
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="imageBox">
            <div class="ImageOne">
                <h2>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</h2>
                <img src="https://images.pexels.com/photos/3332089/pexels-photo-3332089.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940"
                    alt="" width="100%" height="100%">
            </div>
            <div class="ImageTwo">
                <h2>Lorem ipsum dolor sit amet consectetur adipisicing elit. </h2>
                <img src="https://images.pexels.com/photos/7224169/pexels-photo-7224169.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940"
                    alt="" width="100%" height="100%">
            </div>
        </div>
    </div>

</body>

</html>